
package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class JourneyPlan implements Serializable {
    @SerializedName("StoreId")
    @Expose
    private Integer storeId;
    @SerializedName("CounterId")
    @Expose
    private Integer counterId;
    @SerializedName("EmpId")
    @Expose
    private Integer empId;
    @SerializedName("ChainId")
    @Expose
    private Integer chainId;
    @SerializedName("ChainName")
    @Expose
    private String chainName;
    @SerializedName("StoreName")
    @Expose
    private String storeName;
    @SerializedName("Address")
    @Expose
    private String address;
    @SerializedName("Location")
    @Expose
    private String location;
    @SerializedName("Landmark")
    @Expose
    private String landmark;
    @SerializedName("CityId")
    @Expose
    private Integer cityId;
    @SerializedName("CityName")
    @Expose
    private String cityName;
    @SerializedName("CounterName")
    @Expose
    private String counterName;
    @SerializedName("IMEI")
    @Expose
    private String iMEI;
    @SerializedName("ChannelId")
    @Expose
    private Integer channelId;
    @SerializedName("ChannelName")
    @Expose
    private String channelName;
    @SerializedName("StoreTypeId")
    @Expose
    private Integer storeTypeId;
    @SerializedName("StoreTypeName")
    @Expose
    private String storeTypeName;
    @SerializedName("ClassId")
    @Expose
    private Integer classId;
    @SerializedName("ClassName")
    @Expose
    private String className;
    @SerializedName("CounterGroupId")
    @Expose
    private Integer counterGroupId;
    @SerializedName("CounterUploadStatus")
    @Expose
    private String counterUploadStatus;
    @SerializedName("BAUploadStatus")
    @Expose
    private String bAUploadStatus;
    @SerializedName("MID")
    @Expose
    private Integer mID;
    @SerializedName("BID")
    @Expose
    private Integer bID;

    @SerializedName("RefImage")
    @Expose
    private String refImage;

    @SerializedName("ProfileImage1")
    @Expose
    private String profileImage1;

    @SerializedName("ProfileImage2")
    @Expose
    private String profileImage2;

    @SerializedName("CounterLength")
    @Expose
    private double counterlength;

    @SerializedName("CounterWidth")
    @Expose
    private double counterwidth;

    @SerializedName("SetUpDate")
    @Expose
    private String setupDate;

    @SerializedName("VisitDate")
    @Expose
    private String visitDate;

    @SerializedName("UserId")
    @Expose
    private String userId;
    @SerializedName("Latitude")
    @Expose
    private Double latitude;
    @SerializedName("Longitude")
    @Expose
    private Double longitude;
    @SerializedName("GeoTag")
    @Expose
    private String geoTag;
    @SerializedName("GeoFencingRadius")
    @Expose
    private Integer geoFencingRadius;
    @SerializedName("GeoFencingAllow")
    @Expose
    private Integer geoFencingAllow;

    public String getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(String visitDate) {
        this.visitDate = visitDate;
    }

    public String getRefImage() {
        return refImage;
    }

    public void setRefImage(String refImage) {
        this.refImage = refImage;
    }

    public String getProfileImage1() {
        return profileImage1;
    }

    public void setProfileImage1(String profileImage1) {
        this.profileImage1 = profileImage1;
    }

    public String getProfileImage2() {
        return profileImage2;
    }

    public void setProfileImage2(String profileImage2) {
        this.profileImage2 = profileImage2;
    }

    public double getCounterlength() {
        return counterlength;
    }

    public void setCounterlength(double counterlength) {
        this.counterlength = counterlength;
    }

    public double getCounterwidth() {
        return counterwidth;
    }

    public void setCounterwidth(double counterwidth) {
        this.counterwidth = counterwidth;
    }

    public String getSetupDate() {
        return setupDate;
    }

    public void setSetupDate(String setupDate) {
        this.setupDate = setupDate;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getCounterId() {
        return counterId;
    }

    public void setCounterId(Integer counterId) {
        this.counterId = counterId;
    }

    public Integer getEmpId() {
        return empId;
    }

    public void setEmpId(Integer empId) {
        this.empId = empId;
    }

    public Integer getChainId() {
        return chainId;
    }

    public void setChainId(Integer chainId) {
        this.chainId = chainId;
    }

    public String getChainName() {
        return chainName;
    }

    public void setChainName(String chainName) {
        this.chainName = chainName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLandmark() {
        return landmark;
    }

    public void setLandmark(String landmark) {
        this.landmark = landmark;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCounterName() {
        return counterName;
    }

    public void setCounterName(String counterName) {
        this.counterName = counterName;
    }

    public String getIMEI() {
        return iMEI;
    }

    public void setIMEI(String iMEI) {
        this.iMEI = iMEI;
    }

    public Integer getChannelId() {
        return channelId;
    }

    public void setChannelId(Integer channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public Integer getStoreTypeId() {
        return storeTypeId;
    }

    public void setStoreTypeId(Integer storeTypeId) {
        this.storeTypeId = storeTypeId;
    }

    public String getStoreTypeName() {
        return storeTypeName;
    }

    public void setStoreTypeName(String storeTypeName) {
        this.storeTypeName = storeTypeName;
    }

    public Integer getClassId() {
        return classId;
    }

    public void setClassId(Integer classId) {
        this.classId = classId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getCounterGroupId() {
        return counterGroupId;
    }

    public void setCounterGroupId(Integer counterGroupId) {
        this.counterGroupId = counterGroupId;
    }

    public String getCounterUploadStatus() {
        return counterUploadStatus;
    }

    public void setCounterUploadStatus(String counterUploadStatus) {
        this.counterUploadStatus = counterUploadStatus;
    }

    public String getBAUploadStatus() {
        return bAUploadStatus;
    }

    public void setBAUploadStatus(String bAUploadStatus) {
        this.bAUploadStatus = bAUploadStatus;
    }

    public Integer getMID() {
        return mID;
    }

    public void setMID(Integer mID) {
        this.mID = mID;
    }

    public Integer getBID() {
        return bID;
    }

    public void setBID(Integer bID) {
        this.bID = bID;
    }
    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public String getGeoTag() {
        return geoTag;
    }

    public void setGeoTag(String geoTag) {
        this.geoTag = geoTag;
    }

    public Integer getGeoFencingRadius() {
        return geoFencingRadius;
    }

    public void setGeoFencingRadius(Integer geoFencingRadius) {
        this.geoFencingRadius = geoFencingRadius;
    }

    public Integer getGeoFencingAllow() {
        return geoFencingAllow;
    }

    public void setGeoFencingAllow(Integer geoFencingAllow) {
        this.geoFencingAllow = geoFencingAllow;
    }


    public String getPresetup_img_one_str() {
        return presetup_img_one_str;
    }

    public void setPresetup_img_one_str(String presetup_img_one_str) {
        this.presetup_img_one_str = presetup_img_one_str;
    }

    public String getPresetup_img_two_str() {
        return presetup_img_two_str;
    }

    public void setPresetup_img_two_str(String presetup_img_two_str) {
        this.presetup_img_two_str = presetup_img_two_str;
    }

    public String getPostsetup_img_one_str() {
        return postsetup_img_one_str;
    }

    public void setPostsetup_img_one_str(String postsetup_img_one_str) {
        this.postsetup_img_one_str = postsetup_img_one_str;
    }

    public String getPostsetup_img_two_str() {
        return postsetup_img_two_str;
    }

    public void setPostsetup_img_two_str(String postsetup_img_two_str) {
        this.postsetup_img_two_str = postsetup_img_two_str;
    }

    String presetup_img_one_str = "", presetup_img_two_str = "", postsetup_img_one_str = "", postsetup_img_two_str = "";
    String CounterAgeing;

    public String getCounterAgeing() {
        return CounterAgeing;
    }

    public void setCounterAgeing(String counterAgeing) {
        CounterAgeing = counterAgeing;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    String counter_img_onefor_ba="";

    public String getCounter_img_onefor_ba() {
        return counter_img_onefor_ba;
    }

    public void setCounter_img_onefor_ba(String counter_img_onefor_ba) {
        this.counter_img_onefor_ba = counter_img_onefor_ba;
    }

    public String getCounter_img_two_for_ba() {
        return counter_img_two_for_ba;
    }

    public void setCounter_img_two_for_ba(String counter_img_two_for_ba) {
        this.counter_img_two_for_ba = counter_img_two_for_ba;
    }

    String counter_img_two_for_ba="";

    public String getTransId() {
        return TransId;
    }

    public void setTransId(String transId) {
        TransId = transId;
    }

    String TransId="";

    public String getUser_type() {
        return user_type;
    }

    public void setUser_type(String user_type) {
        this.user_type = user_type;
    }

    String user_type="";

    public String getUpload_status_ba() {
        return upload_status_ba;
    }

    public void setUpload_status_ba(String upload_status_ba) {
        this.upload_status_ba = upload_status_ba;
    }

    String upload_status_ba="";
    String stock_type="";

    public String getStock_type() {
        return stock_type;
    }

    public void setStock_type(String stock_type) {
        this.stock_type = stock_type;
    }

    public String getEntry_type() {
        return entry_type;
    }

    public void setEntry_type(String entry_type) {
        this.entry_type = entry_type;
    }

    String entry_type="";
}
